package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vote.system.domain.VoteSubmissionForm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.vo.VoteSubmissionFormVo;

import java.util.List;

/**
* @author MacBook
* @description 针对表【vote_submission_form(提交作品表单模板表)】的数据库操作Service
* @createDate 2024-08-11 15:10:00
*/
public interface VoteSubmissionFormService extends IService<VoteSubmissionForm> {

    IPage<VoteSubmissionForm> selectPage(VoteSubmissionForm voteSubmissionForm);

    int add(VoteSubmissionForm voteSubmissionForm);

    List<VoteSubmissionForm> getSubmission(String date);

    int editById(VoteSubmissionForm voteSubmissionForm);
}
